Mad Level Manager

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events
Public Attributes | Protected Member Functions | Protected Attributes | Properties | List of all members
MadLevelManager.MadDraggable Class Reference
Inheritance diagram for MadLevelManager.MadDraggable:

## Public Attributes
MadiTween.EaseType | moveEasingType = MadiTween.EaseType.easeOutQuad
float | moveEasingDuration = 0.5f
Public Attributes inherited from MadLevelManager.MadNode
bool | managed

## Protected Member Functions
virtual void | OnEnable ()
virtual void | Start ()
virtual void | Update ()
virtual void | FixedUpdate ()
virtual void | LateUpdate ()
bool | IsTouchingSingle ()
bool | IsTouchingJustStarted ()
bool | IsTouchingJustEnded ()
Vector2 | TouchPosition ()
void | RegisterDelta (Vector2 delta)
void | Clear ()
Vector2 | Ease (MadiTween.EaseType type, Vector2 start, Vector2 end, float percentage)
Vector3 | Ease (MadiTween.EaseType type, Vector3 start, Vector3 end, float percentage)

## Protected Attributes
Vector2 | lastPosition
Vector2 | interiaForce = Vector2.zero
float | dragDistance
float | deadDistance = 50
Vector2 | cachedCamPos
Vector2 | estaminatedPos
List< Touch > | multiTouches = new List<Touch>()

## Properties
float | lastTouchTime`[get, set]`
Vector2 | lastTouchCameraPos`[get, set]`
bool | dragging`[get, set]`
Vector2 | cameraPos`[get, set]`
virtual Vector2 | progress`[get]`
Properties inherited from MadLevelManager.MadNode
static bool | Instantiating`[get, set]`

## Additional Inherited Members
Public Member Functions inherited from MadLevelManager.MadNode
T | CreateChild< T > (string name)
T | CreateChild< T > (string name, T template)
MadNode | CreateChild (string name, GameObject template)
T | FindParent< T > ()

The documentation for this class was generated from the following file:

- Assets/Mad Level Manager/Scripts/Mad2D/MadDraggable.cs